package tests::config;

use base 'Test::Unit::TestSuite';

sub name { 'All Lire Config Unit Tests' }

# The order of the tests is important for some weird reason related to
# Test::Unit, perl and/or the XML::Parser packages,
#
# If tests::ConfigTest is run after tests::ConfigSpecTest, you may get
# a segfault in addition to the following error:
#
#1) all/lib/Lire/Config.pm:463 - test_old_config_api(tests::ConfigTest)
#error while parsing XML Config spec /home/francis/src/logreport/lire-unstable/all/lib/tests/../config-spec/lire.xml: Undefined subroutine &Lire::Config::Spec::Boolean called at all/lib/Lire/Config/SpecParser.pm line 313.
# at line 9 at /usr/lib/perl5/XML/Parser/Expat.pm line 469

sub include_tests {
    qw/tests::ConfigTest tests::ConfigSpecTest tests::ConfigValuesTest
       tests::ConfigSpecParserTest tests::ConfigParserTest
       tests::ConfigLegacyTest /;
}

1;
